Bug 73046 - up2date fails to add the RedHat GPG key
Summary: up2date fails to add the RedHat GPG key
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-30 04:35 UTC by Scott Lamb
Modified: 2015-01-08 00:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-14 15:05:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Lamb 2002-08-30 04:35:23 UTC
Description of Problem:

up2date fails to add the RedHat GPG key.

Version-Release number of selected component (if applicable):

up2date-2.9.57-1

How Reproducible:

Always.

Steps to Reproduce:
1. Set preferences to use GPG
2. Remove /root/.gnupg
3. Say yes to "Install key" dialog

Actual Results:

$ sudo up2date

(up2date:6369): Gdk-WARNING **: locale not supported by Xlib

(up2date:6369): Gdk-WARNING **: can not set locale modifiers
gpg: /root/.gnupg: directory created
gpg: /root/.gnupg/options: new options file created
gpg: you have to start GnuPG again, so it can read the new options file
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 739, in ?
    main()
  File "/usr/sbin/up2date", line 451, in main
    ret = sanityChecks(fromDaemon, hasGui)
  File "/usr/sbin/up2date", line 213, in sanityChecks
    if gpgWarning2(hasGui):
  File "/usr/sbin/up2date", line 163, in gpgWarning2
    if gpgUtils.importGpgKeyring():
  File "/usr/share/rhn/up2date_client/gpgUtils.py", line 81, in importGpgKeyring
    for fingerprint in findGpgFingerprints():
  File "/usr/share/rhn/up2date_client/gpgUtils.py", line 52, in findGpgFingerprints
    fingerprint = parts[4]
IndexError: list index out of range


Expected Results:

On the second run, it does what I'd expect:

$ sudo up2date

(up2date:6407): Gdk-WARNING **: locale not supported by Xlib

(up2date:6407): Gdk-WARNING **: can not set locale modifiers
gpg: /root/.gnupg/trustdb.gpg: trustdb created
gpg: keyring `/root/.gnupg/secring.gpg' created

and proceeds.

Comment 1 Adrian Likins 2002-08-30 20:00:56 UTC
fixed in 2.9.61



Comment 2 Jay Turner 2003-02-14 15:05:24 UTC
Fix confirmed in latest released version.


Note You need to log in before you can comment on or make changes to this bug.